Bug 1692697 - virt-who hypervisor_id has different behaviors between sat6.5-snap20 and sat6.5-snap21
Summary: virt-who hypervisor_id has different behaviors between sat6.5-snap20 and sat6...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscriptions - virt-who
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: William Poteat
QA Contact: Eko
URL:
Whiteboard:
Depends On: 1693858 1694752
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 09:23 UTC by Eko
Modified: 2019-10-07 17:37 UTC (History)
8 users (show)

Fixed In Version: candlepin-2.5.14-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:31 UTC


Attachments (Terms of Use)
sat6.5-snap20 (82.52 KB, image/png)
2019-03-26 09:24 UTC, Eko
no flags Details
sat6.5-snap21 (78.87 KB, image/png)
2019-03-26 09:24 UTC, Eko
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:41 UTC
Github candlepin candlepin pull 2290 None None None 2019-04-01 15:33:54 UTC

Description Eko 2019-03-26 09:23:33 UTC
For sat6.5-snap20, when setting hypervisor_id=uuid, the entry item of the hypervisor is:  virt-who-win-ku00t3htvvh-1 

For sat6.5-snap21, when setting hypervisor_id=uuid, the entry item of the hypervisor is:  virt-who-564de4d3-9901-f259-6492-7c9a0f296c4b-1 


That means this bug(https://bugzilla.redhat.com/show_bug.cgi?id=1408782) is reproduced for sanp21 again.

Comment 3 Eko 2019-03-26 09:24:17 UTC
Created attachment 1547968 [details]
sat6.5-snap20

Comment 4 Eko 2019-03-26 09:24:40 UTC
Created attachment 1547969 [details]
sat6.5-snap21

Comment 5 Evgeni Golov 2019-03-26 09:40:16 UTC
This was an intended change, see https://bugzilla.redhat.com/show_bug.cgi?id=1687378.

Basically, when you set hypervisor_id=uuid you'd expect the UUID in Katello, not the hostname (as this might be non-unique).

Comment 6 Marek Hulan 2019-03-26 09:59:58 UTC
Eko, please don't use generic WebUI component for things that are specific to some part or page. Thank you

Comment 12 William Poteat 2019-03-29 17:36:57 UTC
There are two bugs witch are related to this issue. 

1. https://bugzilla.redhat.com/show_bug.cgi?id=1693858

This one is for the addition of the fact 'dmi.system.uuid' to the fabrics that have the informton available. This way system can be matched to the current record in candlepin based on that fact and not the hypervisor id that you are meaning to change the value of. Until this issue was filed, it was only available for libvirt and rhevm.

2. https://bugzilla.redhat.com/show_bug.cgi?id=1410601

This is a fix for the candlepin code that allows a hypervisor id change for an existing system.


Marking this bug as dependent on those two.

Comment 13 Justin Sherrill 2019-04-01 14:22:39 UTC
Eko, 

To clarify a bit,  https://bugzilla.redhat.com/show_bug.cgi?id=1410601  was never actually fixed for ESX, however behavior in Katello 'masked' that failure and made it appear to work, when in the backend system (candlepin), it never actually was.  the issue was that virt-who was not sending up the dmi uuid for esx hypervsisors.  This wasn't apparent until katello started basing the host's name off of the hypervisor_id field.  

Once virt-who sends up the dmi uuid for esx hypervisors, the behavior desired in 1410601 will return, and Katello will reuse existing host entries no matter what the name is.

Comment 16 William Poteat 2019-04-22 14:44:22 UTC
No, there should be one entry. The actual displayed name is up to Satelite.

You need a newer version of virt-who for this to happen: 0.24.4-1

Comment 20 errata-xmlrpc 2019-05-14 12:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.